org.h2gis.functions.io.gpx.model

## Class GpxParserWpt

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.h2gis.functions.io.gpx.model.AbstractGpxParser
    - - org.h2gis.functions.io.gpx.model.AbstractGpxParserWpt
      - - org.h2gis.functions.io.gpx.model.GpxParserWpt

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class GpxParserWpt
    extends AbstractGpxParserWpt

Specific parser for waypoints. It will be call each time a <wpt> markup is found. It is for the 1.1 version

Author:
  Erwan Bocher and Antonin Piasco

### Constructor Summary

Constructors
Constructor and Description
`GpxParserWpt(XMLReader reader, GpxParser parent)` Create a new specific parser.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `endElement(String uri, String localName, String qName)` Fires whenever an XML end markup is encountered.
`void` `startElement(String uri, String localName, String qName, Attributes attributes)` Fires whenever an XML start markup is encountered.

### Methods inherited from class org.h2gis.functions.io.gpx.model.AbstractGpxParserWpt

`initialise, setParent`

### Methods inherited from class org.h2gis.functions.io.gpx.model.AbstractGpxParser

`characters, getContentBuffer, getCurrentElement, getCurrentLine, getCurrentPoint, getCurrentSegment, getElementNames, getGeometryFactory, getReader, getRtePreparedStmt, getRteptPreparedStmt, getTrkPointsPreparedStmt, getTrkPreparedStmt, getTrkSegmentsPreparedStmt, getWptPreparedStmt, isSpecificElement, setContentBuffer, setCurrentElement, setCurrentLine, setCurrentPoint, setCurrentSegment, setElementNames, setReader, setRtePreparedStmt, setRteptPreparedStmt, setSpecificElement, setTrkPointsPreparedStmt, setTrkPreparedStmt, setTrkSegmentsPreparedStmt, setWptPreparedStmt`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GpxParserWpt

    public GpxParserWpt(XMLReader reader,
                        GpxParser parent)

Create a new specific parser. It has in memory the default parser, the contentBuffer, the elementNames and the currentPoint.

Parameters:
  `reader` - The XMLReader used in the default class
  `parent` - The parser used in the default class

### Method Detail

#### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

Fires whenever an XML start markup is encountered. It saves informations about in currentPoint.

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `AbstractGpxParserWpt`
Parameters:
  `uri` - URI of the local element
  `localName` - Name of the local element (without prefix)
  `qName` - qName of the local element (with prefix)
  `attributes` - Attributes of the local element (contained in the markup)
Throws:
  `SAXException` - Any SAX exception, possibly wrapping another exception

#### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

Fires whenever an XML end markup is encountered. It catches attributes of the waypoint and saves them in corresponding values[].

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `AbstractGpxParserWpt`
Parameters:
  `uri` - URI of the local element
  `localName` - Name of the local element (without prefix)
  `qName` - qName of the local element (with prefix)
Throws:
  `SAXException` - Any SAX exception, possibly wrapping another exception